import request from '@/utils/request'

// 查询轮播列表
export function listBanner(query) {
  return request({
    url: '/cai/banner/list',
    method: 'get',
    params: query
  })
}

// 查询轮播详细
export function getBanner(id) {
  return request({
    url: '/cai/banner/' + id,
    method: 'get'
  })
}

// 新增轮播
export function addBanner(data) {
  return request({
    url: '/cai/banner',
    method: 'post',
    data: data
  })
}

// 修改轮播
export function updateBanner(data) {
  return request({
    url: '/cai/banner',
    method: 'put',
    data: data
  })
}

// 删除轮播
export function delBanner(id) {
  return request({
    url: '/cai/banner/' + id,
    method: 'delete'
  })
}
